@mixin center {
  display: flex;
  align-items: center;
  justify-content: center;
}

@mixin max-width {
  max-width: 980px;
  margin: 0 auto;
  box-sizing: border-box;
  @media screen and (max-width: 767px) {
    max-width: 100%;
    padding: 0 3%;
  }
}

@mixin ie11 {
  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    @content;
  }
}

@mixin ios {
  @supports (-webkit-touch-callout: none) {
    @content;
  }
}

@mixin mac {
  @media not all and (min-resolution:.001dpcm) {
    @supports (-webkit-appearance:none) {
      @content;
    }
  }
}

@mixin mx1200 {
  @media screen and (max-width: 1200px) {
    @content;
  }
}

@mixin mx980 {
  @media screen and (max-width: 980px) {
    @content;
  }
}

@mixin sp {
  @media screen and (max-width: 767px) {
    @content;
  }
}

@mixin point($color, $right-position, $top-position, $z-index) {
  content: " ";
  position: absolute;
  right: $right-position;
  top: $top-position;
  width: 0;
  border-top: 21px solid transparent;
  border-left: 11px solid $color;
  border-bottom: 20px solid transparent;
  z-index: $z-index;
}

@mixin point-mobile {
  border-top: 15px solid transparent;
  border-bottom: 14px solid transparent;
}

@function getsp($val) {
  $result: (330/750) * $val;
  @return $result;
}

@function getsp375($val) {
  $result: (375/750) * $val;
  @return $result;
}

@function getem($base-size, $illust-lheight) {
  @return ($illust-lheight / $base-size) * 1em;
}
